Bug 73502 - [NEW PORT] net/amule-devel (aMule 2.0.0rc7)
Summary: [NEW PORT] net/amule-devel (aMule 2.0.0rc7)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-03 22:50 UTC by ganael.laplanche
Modified: 2004-12-15 07:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2004-11-03 22:50:24 UTC
	This port is designed to manage the "unstable" branch of aMule, currently aMule 2.0.0rc7.

Fix: --------------- shar starts here ---------------


--------------- shar ends here -----------------j5HOriW9j7sTRY8FmqFh0C8sondG2XHDFC2HPXfhc82Ii1a0
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	amule-devel
#	amule-devel/Makefile
#	amule-devel/distinfo
#	amule-devel/pkg-descr
#	amule-devel/pkg-plist
#	amule-devel/files
#	amule-devel/files/patch-configure
#	amule-devel/files/patch-html.c
#	amule-devel/files/patch-md4.h
#	amule-devel/files/patch-bithelp.h
#	amule-devel/files/patch-ClientDetailDialog.cpp
#	amule-devel/files/patch-DownloadQueue.cpp
#	amule-devel/files/patch-UDPSocket.cpp
#	amule-devel/files/patch-UploadQueue.cpp
#	amule-devel/files/patch-eggtrayicon.c
#	amule-devel/files/patch-SysTray.cpp
#	amule-devel/files/patch-gtkplugxembed.c
#
echo c - amule-devel
mkdir -p amule-devel > /dev/null 2>&1
echo x - amule-devel/Makefile
sed 's/^X//' >amule-devel/Makefile << 'END-of-amule-devel/Makefile'
X# New ports collection makefile for:	amule
X# Date created:		Wed Nov 05 09:30:00 UTC 2003
X# Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.com>
X#
X# $FreeBSD: ports/net/amule/Makefile,v 1.2 2004/03/03 09:40:47 pav Exp $
X#
X
XPORTNAME=	aMule
XPORTVERSION=	2.0.0rc7
XCATEGORIES=	net
XMASTER_SITES=	http://download.berlios.de/amule/
XPKGNAMESUFFIX=	-devel
X
XMAINTAINER=	ganael.laplanche@martymac.com
XCOMMENT=	The all-platform eMule p2p client
X
XLIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk2 \
X		curl.3:${PORTSDIR}/ftp/curl \
X		execinfo.1:${PORTSDIR}/devel/libexecinfo
X#		gd.4:${PORTSDIR}/graphics/gd
X
XLATEST_LINK=	${PORTNAME}${PKGNAMESUFFIX}
XCONFLICTS=	aMule-1*
X
XUSE_X_PREFIX=	yes
XUSE_GNOME=	gnomehier gnomehack gnomeprefix
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=	--disable-debug \
X		--without-included-gettext \
X		--with-libintl-prefix=${LOCALBASE} \
X		--with-libiconv-prefix=${LOCALBASE} \
X		--with-wx-config=${WX_CONFIG} \
X		--with-wxbase-config=${WX_CONFIG} \
X		--with-curl-config=${CURL_CONFIG} \
X		--enable-embedded_crypto \
X		--enable-utf8-systray
X#		--with-gdlib-prefix=${LOCALBASE} \
X#		--with-gdlib-exec-prefix=${LOCALBASE}
X
XCONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
X		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib ${PTHREAD_LIBS}"
X
XOPTIONS=	OPTIMIZE "Build with optimization" on \
X		ED2K "Compile aMule ed2k links handler" on \
X		AMULECMD "Compile aMule command line client (+GUI)" on \
X		AMULEWEBSRV "Compile aMule WebServer (+GUI)" on \
X		CAS "Compile C aMule Statistics (+GUI)" on \
X		ALC "Compile aMule Link Creator (+GUI)" on
X#		AMULEDAEMON "Compile aMule daemon version (+GUI) - unsupported yet : needs wxGtk >= 2.5.1" on
X
XWX_CONFIG?=	${X11BASE}/bin/wxgtk2-2.4-config
XCURL_CONFIG?=	${LOCALBASE}/bin/curl-config
X
X.include <bsd.port.pre.mk>
X
X# Configure options
X.if defined(WITH_OPTIMIZE)
XCONFIGURE_ARGS+=	--enable-optimize
X.else
XCONFIGURE_ARGS+=	--disable-optimize
X.endif
X
X.if defined(WITH_ED2K)
XCONFIGURE_ARGS+=	--enable-ed2k --program-transform-name="s/ed2k/amule-ed2k/"
XPLIST_SUB+=		PL_ED2K=""
X.else
XCONFIGURE_ARGS+=	--disable-ed2k
XPLIST_SUB+=		PL_ED2K="@comment "
X.endif
X
X.if defined(WITH_AMULECMD)
XCONFIGURE_ARGS+=	--enable-amulecmd --enable-amulecmdgui
XPLIST_SUB+=		PL_AMULECMD=""
X.else
XCONFIGURE_ARGS+=	--disable-amulecmd --disable-amulecmdgui
XPLIST_SUB+=		PL_AMULECMD="@comment "
X.endif
X
X.if defined(WITH_AMULEWEBSRV)
XCONFIGURE_ARGS+=	--enable-webserver --enable-webservergui
XPLIST_SUB+=		PL_AMULEWEBSRV=""
X.else
XCONFIGURE_ARGS+=	--disable-webserver --disable-webservergui
XPLIST_SUB+=		PL_AMULEWEBSRV="@comment "
X.endif
X
X.if defined(WITH_CAS)
XCONFIGURE_ARGS+=	--enable-cas --enable-wxcas
XPLIST_SUB+=		PL_CAS=""
X.else
XCONFIGURE_ARGS+=	--disable-cas --disable-wxcas
XPLIST_SUB+=		PL_CAS="@comment "
X.endif
X
X.if defined(WITH_ALC)
XCONFIGURE_ARGS+=	--enable-alc --enable-alcc
XPLIST_SUB+=		PL_ALC=""
X.else
XCONFIGURE_ARGS+=	--disable-alc --disable-alcc
XPLIST_SUB+=		PL_ALC="@comment "
X.endif
X
X#.if defined(WITH_AMULEDAEMON)
X#CONFIGURE_ARGS+=	--enable-amule-daemon --enable-amule-gui
X#PLIST_SUB+=		PL_AMULEDAEMON=""
X#.else
X#CONFIGURE_ARGS+=	--disable-amule-daemon --disable-amule-gui
X#PLIST_SUB+=		PL_AMULEDAEMON="@comment "
X#.endif
X
X.include <bsd.port.post.mk>
END-of-amule-devel/Makefile
echo x - amule-devel/distinfo
sed 's/^X//' >amule-devel/distinfo << 'END-of-amule-devel/distinfo'
XMD5 (aMule-2.0.0rc7.tar.gz) = b62106da3c38be29314a542aa3d20e95
XSIZE (aMule-2.0.0rc7.tar.gz) = 2491155
END-of-amule-devel/distinfo
echo x - amule-devel/pkg-descr
sed 's/^X//' >amule-devel/pkg-descr << 'END-of-amule-devel/pkg-descr'
XaMule, the all-platform eMule p2p client
X
XaMule is a multiplatform fork of xMule
Xclient using wxWindows class library.
X
XWWW: http://www.amule.org
END-of-amule-devel/pkg-descr
echo x - amule-devel/pkg-plist
sed 's/^X//' >amule-devel/pkg-plist << 'END-of-amule-devel/pkg-plist'
Xshare/locale/ar/LC_MESSAGES/amule.mo
Xshare/locale/bg/LC_MESSAGES/amule.mo
Xshare/locale/ca/LC_MESSAGES/amule.mo
Xshare/locale/da/LC_MESSAGES/amule.mo
Xshare/locale/de/LC_MESSAGES/amule.mo
Xshare/locale/en_GB/LC_MESSAGES/amule.mo
Xshare/locale/es/LC_MESSAGES/amule.mo
Xshare/locale/es_MX/LC_MESSAGES/amule.mo
Xshare/locale/et_EE/LC_MESSAGES/amule.mo
Xshare/locale/eu/LC_MESSAGES/amule.mo
Xshare/locale/fi/LC_MESSAGES/amule.mo
Xshare/locale/fr/LC_MESSAGES/amule.mo
Xshare/locale/gl/LC_MESSAGES/amule.mo
Xshare/locale/hr/LC_MESSAGES/amule.mo
Xshare/locale/hu/LC_MESSAGES/amule.mo
Xshare/locale/it/LC_MESSAGES/amule.mo
Xshare/locale/it_CH/LC_MESSAGES/amule.mo
Xshare/locale/ko/LC_MESSAGES/amule.mo
Xshare/locale/nl/LC_MESSAGES/amule.mo
Xshare/locale/pl/LC_MESSAGES/amule.mo
Xshare/locale/pt_BR/LC_MESSAGES/amule.mo
Xshare/locale/pt_PT/LC_MESSAGES/amule.mo
Xshare/locale/ru/LC_MESSAGES/amule.mo
Xshare/locale/zh_CN/LC_MESSAGES/amule.mo
Xshare/locale/zh_TW/LC_MESSAGES/amule.mo
Xshare/gnome/doc/aMule-2.0.0rc7/ABOUT-NLS
Xshare/gnome/doc/aMule-2.0.0rc7/Changelog
Xshare/gnome/doc/aMule-2.0.0rc7/Doxyfile
Xshare/gnome/doc/aMule-2.0.0rc7/ED2K-Links.HOWTO
Xshare/gnome/doc/aMule-2.0.0rc7/INSTALL
Xshare/gnome/doc/aMule-2.0.0rc7/README
Xshare/gnome/doc/aMule-2.0.0rc7/TODO
Xshare/gnome/doc/aMule-2.0.0rc7/amule-win32.HOWTO.txt
Xshare/gnome/doc/aMule-2.0.0rc7/amulesig.txt
Xshare/gnome/doc/aMule-2.0.0rc7/license.txt
X@dirrm share/gnome/doc/aMule-2.0.0rc7
Xshare/gnome/pixmaps/amule.xpm
X%%PL_ALC%%share/gnome/pixmaps/alc.xpm
X%%PL_CAS%%share/gnome/pixmaps/wxcas.xpm
Xshare/gnome/applications/amule.desktop
X%%PL_ALC%%share/gnome/applications/alc.desktop
X%%PL_CAS%%share/gnome/applications/wxcas.desktop
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/GraphCon.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/GraphDL.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/GraphUL.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/add_server.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/arrow_down.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/arrow_right.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/arrow_up.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/black.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue1.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue2.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue3.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue4.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue5.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/blue6.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_download.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_kad.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_search.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_servers.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_settings.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_shared.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/cp_stats.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/emule.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/green.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/greenpercent.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_cancel.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_connect.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_down.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_ed2klink.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_info.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_pause.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_resume.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/l_up.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/log.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/main_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/main_top_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/red.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/top_bar_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/top_bar_bg2.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/transparent.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/webserver/yellow.gif
X%%PL_AMULEWEBSRV%%share/gnome/amuleweb/aMule.tmpl
X%%PL_AMULEWEBSRV%%@dirrm share/gnome/amuleweb/webserver
X%%PL_AMULEWEBSRV%%@dirrm share/gnome/amuleweb
X%%PL_CAS%%share/gnome/cas/stat.png
X%%PL_CAS%%share/gnome/cas/tmp.html
X%%PL_CAS%%@dirrm share/gnome/cas
Xlib/xchat/plugins/xas.pl
X%%PL_CAS%%bin/cas
X%%PL_CAS%%bin/wxcas
X%%PL_ALC%%bin/alc
X%%PL_ALC%%bin/alcc
X%%PL_AMULEWEBSRV%%bin/amuleweb
X%%PL_AMULEWEBSRV%%bin/amulewebDLG
X%%PL_AMULECMD%%bin/amulecmd
X%%PL_AMULECMD%%bin/amulecmdDLG
X%%PL_ED2K%%bin/amule-ed2k
Xbin/amule
END-of-amule-devel/pkg-plist
echo c - amule-devel/files
mkdir -p amule-devel/files > /dev/null 2>&1
echo x - amule-devel/files/patch-configure
sed 's/^X//' >amule-devel/files/patch-configure << 'END-of-amule-devel/files/patch-configure'
X--- configure.orig	Sat Oct 23 09:15:45 2004
X+++ configure	Sat Oct 23 09:16:04 2004
X@@ -1865,8 +1865,8 @@
X 
X 
X # No -O2 by default, removing -fomit since it causes problems
X-CFLAGS=" ${CFLAGS/-fomit-frame-pointer/}"
X-CXXFLAGS=" ${CXXFLAGS/-fomit-frame-pointer/}"
X+#CFLAGS=" ${CFLAGS/-fomit-frame-pointer/}"
X+#CXXFLAGS=" ${CXXFLAGS/-fomit-frame-pointer/}"
X 
X # System detection, need AC_CANONICAL_TARGET
X case "${target_os}" in
END-of-amule-devel/files/patch-configure
echo x - amule-devel/files/patch-html.c
sed 's/^X//' >amule-devel/files/patch-html.c << 'END-of-amule-devel/files/patch-html.c'
X--- src/utils/cas/html.c.orig	Wed Sep 29 01:21:07 2004
X+++ src/utils/cas/html.c	Sat Oct 23 04:30:24 2004
X@@ -50,11 +50,6 @@
X 	FILE *temp;
X 
X 
X-	snprintf(version, 25, "cas %s", CAS_VERSION);
X-	snprintf(upload, 25, "%s kB/s", stats[6]);
X-	snprintf(download, 25, "%s kB/s", stats[5]);
X-
X-
X 	char *search[] = {"#VERSION#", "#CLIENT#", "#NICK#", "#UPLOADRATE#" ,
X 		"#DOWNLOADRATE#" , "#QUEUE#" , "#NUMSHARE#" , "#SESSIONUP#" ,
X 		"#SESSIONDOWN#" , "#TOTALUP#", "#TOTALDOWN#" , "#SERVER#" , "#IP#",
X@@ -63,6 +58,11 @@
X 	char *repl[] = { version , lines[0] , stats[9] , upload , download ,
X 		stats[7] , stats[8] , stats[14] , stats[13] , stats[11] , stats[10] ,
X 		stats[1] , stats[2] , stats[3] };
X+
X+
X+	snprintf(version, 25, "cas %s", CAS_VERSION);
X+	snprintf(upload, 25, "%s kB/s", stats[6]);
X+	snprintf(download, 25, "%s kB/s", stats[5]);
X 
X 	// get some memory to read the template into
X 	if ((fd = open (template, O_RDONLY)) < 0)
END-of-amule-devel/files/patch-html.c
echo x - amule-devel/files/patch-md4.h
sed 's/^X//' >amule-devel/files/patch-md4.h << 'END-of-amule-devel/files/patch-md4.h'
X--- src/utils/aLinkCreator/src/md4.h.orig	Sat Oct 23 04:41:29 2004
X+++ src/utils/aLinkCreator/src/md4.h	Sat Oct 23 04:42:03 2004
X@@ -54,7 +54,15 @@
X     #include "wx/wx.h"
X #endif
X 
X-#include <stdint.h> // needed for uint32_t
X+#if defined(__FreeBSD__)
X+  #if __FreeBSD__ < 5
X+    #include <inttypes.h>
X+  #else
X+    #include <stdint.h>
X+  #endif
X+#else
X+  #include <stdint.h> // needed for uint32_t
X+#endif
X 
X // Use wxString implementation or not
X //#define WANT_STRING_IMPLEMENTATION 1
END-of-amule-devel/files/patch-md4.h
echo x - amule-devel/files/patch-bithelp.h
sed 's/^X//' >amule-devel/files/patch-bithelp.h << 'END-of-amule-devel/files/patch-bithelp.h'
X--- src/utils/aLinkCreator/src/bithelp.h.orig	Sat Oct 23 04:44:33 2004
X+++ src/utils/aLinkCreator/src/bithelp.h	Sat Oct 23 04:45:10 2004
X@@ -21,7 +21,15 @@
X #ifndef G10_BITHELP_H
X #define G10_BITHELP_H
X 
X-#include <stdint.h>
X+#if defined(__FreeBSD__)
X+  #if __FreeBSD__ < 5
X+    #include <inttypes.h>
X+  #else
X+    #include <stdint.h>
X+  #endif
X+#else
X+  #include <stdint.h>
X+#endif
X 
X /****************
X  * Rotate the 32 bit unsigned integer X by N bits left/right
END-of-amule-devel/files/patch-bithelp.h
echo x - amule-devel/files/patch-ClientDetailDialog.cpp
sed 's/^X//' >amule-devel/files/patch-ClientDetailDialog.cpp << 'END-of-amule-devel/files/patch-ClientDetailDialog.cpp'
X--- src/ClientDetailDialog.cpp.orig	Sat Oct 23 05:00:14 2004
X+++ src/ClientDetailDialog.cpp	Sat Oct 23 05:00:45 2004
X@@ -31,6 +31,12 @@
X        #include <sys/types.h>
X #endif /* __BSD__ */
X 
X+#if defined(__FreeBSD__) // for FreeBSD 4.x
X+	#if __FreeBSD__ < 5
X+		#include <sys/types.h>
X+	#endif
X+#endif
X+
X 	#include <sys/socket.h>
X 	#include <netinet/in.h>
X 	#include <arpa/inet.h>
END-of-amule-devel/files/patch-ClientDetailDialog.cpp
echo x - amule-devel/files/patch-DownloadQueue.cpp
sed 's/^X//' >amule-devel/files/patch-DownloadQueue.cpp << 'END-of-amule-devel/files/patch-DownloadQueue.cpp'
X--- src/DownloadQueue.cpp.orig	Sat Oct 23 05:04:50 2004
X+++ src/DownloadQueue.cpp	Sat Oct 23 05:07:18 2004
X@@ -24,6 +24,13 @@
X 	#include <winsock.h>
X 	#include <wx/msw/winundef.h>
X #else
X+
X+	#if defined(__FreeBSD__)
X+	  #if __FreeBSD__ < 5
X+	    #include <sys/types.h>
X+	  #endif
X+	#endif
X+
X 	#include <netdb.h>		// Needed for gethostbyname_r
X 	#include <sys/socket.h>		//
X 	#include <netinet/in.h>		// These three are needed for inet_ntoa
END-of-amule-devel/files/patch-DownloadQueue.cpp
echo x - amule-devel/files/patch-UDPSocket.cpp
sed 's/^X//' >amule-devel/files/patch-UDPSocket.cpp << 'END-of-amule-devel/files/patch-UDPSocket.cpp'
X--- src/UDPSocket.cpp.orig	Fri Oct  1 09:06:52 2004
X+++ src/UDPSocket.cpp	Sat Oct 23 05:18:16 2004
X@@ -23,6 +23,13 @@
X 	#include <winsock.h>
X 	#include <wx/msw/winundef.h>
X #else
X+
X+	#if defined(__FreeBSD__)
X+	  #if __FreeBSD__ < 5
X+	    #include <sys/types.h>
X+	  #endif
X+	#endif
X+
X 	#include <netdb.h>
X 	#include <sys/socket.h>
X 	#include <netinet/in.h>
END-of-amule-devel/files/patch-UDPSocket.cpp
echo x - amule-devel/files/patch-UploadQueue.cpp
sed 's/^X//' >amule-devel/files/patch-UploadQueue.cpp << 'END-of-amule-devel/files/patch-UploadQueue.cpp'
X--- src/UploadQueue.cpp.orig	Sat Oct 23 05:33:01 2004
X+++ src/UploadQueue.cpp	Sat Oct 23 05:35:59 2004
X@@ -19,6 +19,13 @@
X 
X #include <cstring>
X #include <cmath>			// Needed for std::exp
X+
X+#if defined(__FreeBSD__) // for FreeBSD 4.x
X+	#if __FreeBSD__ < 5
X+		#include <algorithm> // needed for std::find
X+	#endif
X+#endif
X+
X #include "types.h"
X #ifdef __WXMSW__
X 	#include <winsock.h>
END-of-amule-devel/files/patch-UploadQueue.cpp
echo x - amule-devel/files/patch-eggtrayicon.c
sed 's/^X//' >amule-devel/files/patch-eggtrayicon.c << 'END-of-amule-devel/files/patch-eggtrayicon.c'
X--- src/eggtrayicon.c.orig	Sat Oct 23 05:41:59 2004
X+++ src/eggtrayicon.c	Sat Oct 23 05:50:38 2004
X@@ -75,7 +75,7 @@
X 
X static GdkFilterReturn
X egg_tray_icon_manager_filter (GdkXEvent *xevent, GdkEvent *event, gpointer user_data)
X-{ (void)event;
X+{
X   EggTrayIcon *icon = user_data;
X   XEvent *xev = (XEvent *)xevent;
X 
END-of-amule-devel/files/patch-eggtrayicon.c
echo x - amule-devel/files/patch-SysTray.cpp
sed 's/^X//' >amule-devel/files/patch-SysTray.cpp << 'END-of-amule-devel/files/patch-SysTray.cpp'
X--- src/SysTray.cpp.orig	Sat Oct 23 05:53:20 2004
X+++ src/SysTray.cpp	Sat Oct 23 05:55:40 2004
X@@ -24,6 +24,12 @@
X 		#include <sys/types.h>
X 	#endif /* __BSD__ */
X 
X+#if defined(__FreeBSD__) // for FreeBSD 4.x
X+        #if __FreeBSD__ < 5
X+                #include <sys/types.h>
X+        #endif
X+#endif
X+
X 	#include <cstddef>			// Needed for NULL. Must be BEFORE gtk/gdk headers!
X 	#include <sys/socket.h>		//
X 	#include <netinet/in.h>		// Needed for inet_ntoa
END-of-amule-devel/files/patch-SysTray.cpp
echo x - amule-devel/files/patch-gtkplugxembed.c
sed 's/^X//' >amule-devel/files/patch-gtkplugxembed.c << 'END-of-amule-devel/files/patch-gtkplugxembed.c'
X--- src/gtkplugxembed.c.orig	Sat Oct 23 05:57:50 2004
X+++ src/gtkplugxembed.c	Sat Oct 23 06:01:38 2004
X@@ -889,7 +889,7 @@
X static void
X focus_first_last (GtkPlugXEmbed          *plug,
X 		  GtkDirectionType  direction)
X-{ (void)direction;
X+{
X   GtkWindow *window = GTK_WINDOW (plug);
X   GtkWidget *parent;
X   
X@@ -1045,7 +1045,7 @@
X 
X static GdkFilterReturn
X gtk_plug_xembed_filter_func (GdkXEvent *gdk_xevent, GdkEvent *event, gpointer data)
X-{ (void)event;
X+{
X   GtkPlugXEmbed *plug = GTK_PLUG_XEMBED (data);
X   XEvent *xevent = (XEvent *)gdk_xevent;
X 
END-of-amule-devel/files/patch-gtkplugxembed.c
exit
Comment 1 Edwin Groothuis freebsd_committer 2004-12-15 04:09:59 UTC
State Changed
From-To: open->repocopy

Over to portmgr for repocopy from 
net/amule 
to 
net/amule-devel 


Comment 2 Edwin Groothuis freebsd_committer 2004-12-15 04:09:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr
Comment 3 Joe Marcus Clarke freebsd_committer 2004-12-15 05:57:52 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 4 Joe Marcus Clarke freebsd_committer 2004-12-15 05:57:52 UTC
Responsible Changed
From-To: portmgr->edwin

Repo-copy completed.
Comment 5 Edwin Groothuis freebsd_committer 2004-12-15 07:16:31 UTC
State Changed
From-To: open->closed

Committed, thanks!